Stop Time
GET /v1/analytics/stop-time
Uses an address's own delivery history (if any), its building details, and data from similar nearby buildings to predict stop duration, including for brand-new addresses.
Requires an API key sent as a Bearer token in the
Authorizationheader.
Request
Query Parameters
| Parameter | Type | Required? | Description |
|---|---|---|---|
address | string | Yes | The intended stop address. Example: 123 Main St, San Francisco, CA 94105 |
Example Request
curl "https://api.core.doorstep.ai/v1/analytics/stop-time?address=123 Main St, San Francisco, CA 94105" \
-H "Authorization: Bearer $API_KEY"
Response
- 200
- 400
- 401
- 500
Estimated stop time information as well as ranges.
Response Body
| Field | Type | Description |
|---|---|---|
est_stop_time | integer | Estimated stop time |
range_50 | [float, float] | Inter-quartile range (p25 - p75) of the estimated stop time. The middle 50% of all deliveries will fall into this range |
range_80 | [float, float] | p10 - p90 of the estimated stop time. The middle 80% of all deliveries will fall into this range |
n_samples | object | Number of delivery samples used to make this estimate. The larger, the more accurate the prediction will be |
All time values are in seconds.
Example Response
{
"est_stop_time": 52,
"range_50": [40, 66],
"range_80": [31, 82],
"n_samples": 24
}
A required parameter is missing or invalid. For example, address was not provided.
{
"status": 400,
"code": "bad_request",
"message": "Address is required"
}
The API key is missing or invalid.
{
"status": 401,
"code": "unauthorized",
"message": "Token Invalid"
}
Something went wrong on our end. Try the request again later.
{
"status": 500,
"code": "internal_server_error",
"message": "Internal Server Error"
}
Applications
- Fleet optimization
- Delivery issue flagging